Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Atk::Hyperlink Class Reference

An AtkHyperlink C++ wrapper class. More...

`#include <xfc/atk/hyperlink.hh>`

Inheritance diagram for Xfc::Atk::Hyperlink:

List of all members.

## Signal Prototpyes

- const LinkActivatedSignalType link_activated_signal
    Link activated signal (see signal_link_activated()).

## Public Member Functions

Constructors

- virtual ~Hyperlink ()
    Destructor.

Accessors

- AtkHyperlink * atk_hyperlink () const
    Get a pointer to the AtkHyperlink structure.
- operator AtkHyperlink * () const
    Conversion operator; safely converts a Hyperlink to an AtkHyperlink pointer.
- String get_uri (int i) const
    Gets the URI associated with the anchor of the link specified by i.
- Atk::Object * get_object (int i) const
    Returns the item associated with this hyperlink's nth anchor.
- int get_end_index () const
    Gets the index with the hypertext document at which this link ends.
- int get_start_index () const
    Gets the index with the hypertext document at which this link begins.
- bool is_valid () const
    Since the document that a link is associated with may have changed this method returns true if the link is still valid (with respect to the document it references) and false otherwise.
- bool is_inline () const
    Indicates whether the link currently displays some or all of its content inline.
- int get_n_anchors () const
    Returns the number of anchors associated with this hyperlink.
- bool is_selected_link () const
    Determines whether this hyperlink is selected.

Signal Proxies

- const LinkActivatedSignalProxy signal_link_activated ()
    Connect to the link_activated_signal; emitted when the hyperlink object is activated.

## Protected Member Functions

Constructors

- Hyperlink (AtkHyperlink *hyperlink, bool owns_reference=true)
    Construct a new Hyperlink from an existing AtkHyperlink.

## Detailed Description

An AtkHyperlink C++ wrapper class.

Hyperlink is an Atk::Object which encapsulates a link or set of links in a hypertext document. It implements the Atk::Action interface.

## Constructor & Destructor Documentation

Xfc::Atk::Hyperlink::Hyperlink | ( | AtkHyperlink * | hyperlink,
|  | bool | owns_reference = `true`
| ) | `[explicit, protected]`

Construct a new Hyperlink from an existing AtkHyperlink.

Parameters:

  | hyperlink | A pointer to a AtkHyperlink.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The hyperlink can be a newly created AtkHyperlink or an existing AtkHyperlink. (see G::Object::Object).

## Member Function Documentation

int Xfc::Atk::Hyperlink::get_end_index | ( |  | ) | const

Gets the index with the hypertext document at which this link ends.

Returns:
  The index with the hypertext document at which this link ends.

Atk::Object* Xfc::Atk::Hyperlink::get_object | ( | int | i | ) | const

Returns the item associated with this hyperlink's nth anchor.

Parameters:

  | i | A zero-index integer specifying the desired anchor.

Returns:
  An Atk::Object associated with this hyperlink's i-th anchor.

For instance, the returned Atk::Object will implement Text if the link is a text hyperlink, Image if the link is an image hyperlink etc. Multiple anchors are primarily used by client-side image maps.

int Xfc::Atk::Hyperlink::get_start_index | ( |  | ) | const

Gets the index with the hypertext document at which this link begins.

Returns:
  The index with the hypertext document at which this link begins.

String Xfc::Atk::Hyperlink::get_uri | ( | int | i | ) | const

Gets the URI associated with the anchor of the link specified by i.

Parameters:

  | i | A zero-index integer specifying the desired anchor.

Returns:
  A string specifying the URI.

Multiple anchors are primarily used by client-side image maps.

bool Xfc::Atk::Hyperlink::is_inline | ( |  | ) | const

Indicates whether the link currently displays some or all of its content inline.

Returns:
  Whether or not this link displays its content inline.

Ordinary HTML links will usually return false, but an inline source HTML element will return true.

bool Xfc::Atk::Hyperlink::is_selected_link | ( |  | ) | const

Determines whether this hyperlink is selected.

Returns:
  true if the AtkHyperlink is selected, false otherwise.

bool Xfc::Atk::Hyperlink::is_valid | ( |  | ) | const

Since the document that a link is associated with may have changed this method returns true if the link is still valid (with respect to the document it references) and false otherwise.

Returns:
  Whether or not this link is still valid.

## Member Data Documentation

const LinkActivatedSignalType Xfc::Atk::Hyperlink::link_activated_signal `[static, protected]`

Link activated signal (see signal_link_activated()).

Calls a slot with the signature:

                 void function();

The documentation for this class was generated from the following file:

- hyperlink.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3